"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFormValues = void 0;
/**
 * Return an array with field values
 *
 * @param {Form} form The form object
 * @returns {FormValues} The form values
 */
function getFormValues(form) {
    var formValues = {};
    for (var _i = 0, _a = Object.entries(form); _i < _a.length; _i++) {
        var _b = _a[_i], section = _b[1];
        for (var _c = 0, _d = Object.entries(section.questions); _c < _d.length; _c++) {
            var _e = _d[_c], fieldName = _e[0], field = _e[1];
            if (field.value !== null) {
                formValues[fieldName] = field.value;
            }
        }
    }
    return formValues;
}
exports.getFormValues = getFormValues;
